# Add a mail domain

`POST /workspace/mailboxes/domains` · Rivier · inbox

Add a mail domain.

- Scope: inbox:write
- Graphql: Mutation.inboxDomainAdd
- Sdk: inbox.domain.add
- Cli: inbox domain add

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "domain": {
      "type": "string",
      "minLength": 3,
      "maxLength": 253
    }
  },
  "required": [
    "domain"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/mailboxes/domains' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "domain": "string"
}'
```
